# sPyMem: spike-based bio-inspired memory models

<p>
	<a href="http://www.gnu.org/licenses/gpl-3.0">
	<img src="https://img.shields.io/badge/License-GPL%20v3-blue.svg"/>
	</a>
	<a href="https://pypi.python.org/pypi/sPyMem/">
	<img src="https://img.shields.io/pypi/v/sPyMem.svg"/>
	</a>
	<a href="https://spymem.readthedocs.io/en/latest">
	<img src="https://readthedocs.org/projects/spymem/badge/?version=latest"/>
	</a>
</p>


<h2>About sPyMem</h2>

<p align="justify">
	sPyMem is an open-source package that offer <strong>fully-functional spike-based bio-inspired hippocampal memory models</strong> implemented with SNN technology in the SpiNNaker hardware in Python.
</p>


<h2>Installing</h2>

<p align="justify">
You can install sPyMem via pip thanks to its <a href="https://pypi.org/project/sPyMem/">PyPi</a> distribution:

```
pip install sPyMem
```

or download it from source on their <a href="https://github.com/dancasmor/sPyMem/">github repository</a>.
</p>


<h2>Documentation</h2>

<p align="justify">
The Python code has been documented using docstrings, which is very convenient for users that want to either use the software or develop new features and functionalities.

To see all the information for the different Python modules, classes, methods and all the possible configuration options, read the [ReadTheDocs Documentation](https://spymem.readthedocs.io/en/latest/)
</p>

<h2 name="CiteThisWork">Cite this work</h2>
<p align="justify">
Still under construction.
</p>



<h2 name="License">License</h2>
<p align="justify">
This project is licensed under the GPL License - see the <a href="https://github.com/dancasmor/sPyMem/blob/main/LICENSE">LICENSE.md</a> file for details.
</p>
<p align="justify">
Copyright © 2022 Daniel Casanueva-Morato<br>
<a href="mailto:dcasanueva@us.es">dcasanueva@us.es</a>
</p>

[![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](http://www.gnu.org/licenses/gpl-3.0)
